## org.hibernate.cfg
Interface ObjectNameNormalizer.NamingStrategyHelper

Enclosing class:
  ObjectNameNormalizer

    public static interface ObjectNameNormalizer.NamingStrategyHelper

Helper contract for dealing with `NamingStrategy` in different situations.

Method Summary
`String` `determineImplicitName(NamingStrategy strategy)` Called when the user supplied no explicit name/identifier for the given database object.
`String` `handleExplicitName(NamingStrategy strategy, String name)` Called when the user has supplied an explicit name for the database object.

Method Detail

### determineImplicitName

    String determineImplicitName(NamingStrategy strategy)

  Called when the user supplied no explicit name/identifier for the given database object.

  Parameters:
    `strategy` - The naming strategy in effect
  Returns:
    The implicit name

### handleExplicitName

    String handleExplicitName(NamingStrategy strategy,
                              String name)

  Called when the user has supplied an explicit name for the database object.

  Parameters:
    `strategy` - The naming strategy in effect
    `name` - The `normalized` explicit object name.
  Returns:
    The strategy-handled name.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.